opafmconfigpp(8)

NAME
opafmconfigpp

Merges opafm.xml pre-process file with set of VirtualFabric and DeviceGroup XML files.

Syntax
opafmconfigpp [-p ppfile] [-o output] [-b] [-s] [-f] [-h]

Options

-h

    Produces full help text.

-p ppfile

    Specifies the file to preprocess. Default is /etc/opa-fm/opafm_pp.xml.

-o output

    Specifies the output XML file. Default is /etc/opa-fm/opafm.xml.

-b

    Backs up the old output file if one exists. Default is 0.

-s

    Skips running Config Check on output. Default is 0.

-f

    Forces overwrite of old output file. Default is 0.

Notes

The output file will contain two comments at the top, along with the local time it was generated.

The special INCLUDE comments follow this style:

   <!-- INCLUDE:DG_DIR=$DG_DIR -->

   <!-- INCLUDE:VF_DIR=$VF_DIR -->

Examples:

   <!-- INCLUDE:VF_DIR=/etc/opa-fm/vfs -->

   <!-- INCLUDE:VF_DIR=/etc/opa-fm/vfs_fm1 -->

   <!-- INCLUDE:DG_DIR=/etc/opa-fm/dgs -->

   <!-- INCLUDE:DG_DIR=/etc/opa-fm/dgs_fm0 -->

INCLUDE comments will be replaced with contents of the given directories.

Example
opafmconfigpp

opafmconfigpp -b -s